<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: levelset_source_term Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">levelset_source_term Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:acad5f6a63f9e0f35dd2c6283c50798d5"><td class="memItemLeft" align="right" valign="top">real(wp) function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#acad5f6a63f9e0f35dd2c6283c50798d5">delta_st</a> (G)</td></tr>
<tr class="separator:acad5f6a63f9e0f35dd2c6283c50798d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1ebe6c3e04f99393eb347a7983fe39b"><td class="memItemLeft" align="right" valign="top">real(wp) function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#ab1ebe6c3e04f99393eb347a7983fe39b">heaviside_st</a> (G)</td></tr>
<tr class="separator:ab1ebe6c3e04f99393eb347a7983fe39b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ac744061ca855572d5f26056eacae4085"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#ac744061ca855572d5f26056eacae4085">g_st</a></td></tr>
<tr class="separator:ac744061ca855572d5f26056eacae4085"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e056007b6d0b983980666c65508e170"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a6e056007b6d0b983980666c65508e170">fg_st</a></td></tr>
<tr class="separator:a6e056007b6d0b983980666c65508e170"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1565fd0d5beb6430b48647560e2190e2"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a1565fd0d5beb6430b48647560e2190e2">sl_table</a></td></tr>
<tr class="separator:a1565fd0d5beb6430b48647560e2190e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7fdf01a373929142b57eadde6d48760"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#ae7fdf01a373929142b57eadde6d48760">rho_table</a></td></tr>
<tr class="separator:ae7fdf01a373929142b57eadde6d48760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d9e6ad14aaa8e2a30486b66d608d435"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a8d9e6ad14aaa8e2a30486b66d608d435">lf_table</a></td></tr>
<tr class="separator:a8d9e6ad14aaa8e2a30486b66d608d435"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a8cc784c34333b3af73e1b1c2633cc5"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a9a8cc784c34333b3af73e1b1c2633cc5">diff_lvlset</a></td></tr>
<tr class="separator:a9a8cc784c34333b3af73e1b1c2633cc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ef08ac8f87fa1b126c09133d265ae8a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a0ef08ac8f87fa1b126c09133d265ae8a">s_diff</a></td></tr>
<tr class="separator:a0ef08ac8f87fa1b126c09133d265ae8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a272c32a544da2a911ad354fbe0a9f940"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a272c32a544da2a911ad354fbe0a9f940">st_dyn</a></td></tr>
<tr class="separator:a272c32a544da2a911ad354fbe0a9f940"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ea909fa82d06f9e1c8f95346da968b9"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a1ea909fa82d06f9e1c8f95346da968b9">c_st</a></td></tr>
<tr class="separator:a1ea909fa82d06f9e1c8f95346da968b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a885cd3fe2cd67ebfe7868cf6709b61f1"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a885cd3fe2cd67ebfe7868cf6709b61f1">delta_f</a></td></tr>
<tr class="separator:a885cd3fe2cd67ebfe7868cf6709b61f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b5fba966da7c0655b6b639b09ff12b8"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a0b5fba966da7c0655b6b639b09ff12b8">delta_ff</a></td></tr>
<tr class="separator:a0b5fba966da7c0655b6b639b09ff12b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66eaf40498c62f8cdcfdd7b6cfa10ce0"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a66eaf40498c62f8cdcfdd7b6cfa10ce0">dynamic_alpha</a></td></tr>
<tr class="separator:a66eaf40498c62f8cdcfdd7b6cfa10ce0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2071764684f98d7178192f59281bea2"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#af2071764684f98d7178192f59281bea2">constant_sl</a></td></tr>
<tr class="separator:af2071764684f98d7178192f59281bea2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae81a0b2fcd0e5a3b4dc8f91af89c0907"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#ae81a0b2fcd0e5a3b4dc8f91af89c0907">curvature</a></td></tr>
<tr class="separator:ae81a0b2fcd0e5a3b4dc8f91af89c0907"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d32511b048a72a41b87e756ea48b81f"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__source__term.html#a9d32511b048a72a41b87e756ea48b81f">markstein</a></td></tr>
<tr class="separator:a9d32511b048a72a41b87e756ea48b81f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="acad5f6a63f9e0f35dd2c6283c50798d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acad5f6a63f9e0f35dd2c6283c50798d5">&#9670;&nbsp;</a></span>delta_st()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function levelset_source_term::delta_st </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>G</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1ebe6c3e04f99393eb347a7983fe39b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1ebe6c3e04f99393eb347a7983fe39b">&#9670;&nbsp;</a></span>heaviside_st()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function levelset_source_term::heaviside_st </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>G</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelevelset__source__term_ab1ebe6c3e04f99393eb347a7983fe39b_icgraph.png" border="0" usemap="#namespacelevelset__source__term_ab1ebe6c3e04f99393eb347a7983fe39b_icgraph" alt=""/></div>
<map name="namespacelevelset__source__term_ab1ebe6c3e04f99393eb347a7983fe39b_icgraph" id="namespacelevelset__source__term_ab1ebe6c3e04f99393eb347a7983fe39b_icgraph">
<area shape="rect" id="node2" href="levelset__source__term-orig_8f90.html#abb6d46d4607c122a6daf3c486dfabe8c" title="dynamic_st_model" alt="" coords="200,13,331,39"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a1ea909fa82d06f9e1c8f95346da968b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ea909fa82d06f9e1c8f95346da968b9">&#9670;&nbsp;</a></span>c_st</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::c_st</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af2071764684f98d7178192f59281bea2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2071764684f98d7178192f59281bea2">&#9670;&nbsp;</a></span>constant_sl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) levelset_source_term::constant_sl</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae81a0b2fcd0e5a3b4dc8f91af89c0907"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae81a0b2fcd0e5a3b4dc8f91af89c0907">&#9670;&nbsp;</a></span>curvature</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical levelset_source_term::curvature</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a885cd3fe2cd67ebfe7868cf6709b61f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a885cd3fe2cd67ebfe7868cf6709b61f1">&#9670;&nbsp;</a></span>delta_f</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::delta_f</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b5fba966da7c0655b6b639b09ff12b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b5fba966da7c0655b6b639b09ff12b8">&#9670;&nbsp;</a></span>delta_ff</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::delta_ff</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a8cc784c34333b3af73e1b1c2633cc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a8cc784c34333b3af73e1b1c2633cc5">&#9670;&nbsp;</a></span>diff_lvlset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::diff_lvlset</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a66eaf40498c62f8cdcfdd7b6cfa10ce0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66eaf40498c62f8cdcfdd7b6cfa10ce0">&#9670;&nbsp;</a></span>dynamic_alpha</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::dynamic_alpha</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e056007b6d0b983980666c65508e170"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e056007b6d0b983980666c65508e170">&#9670;&nbsp;</a></span>fg_st</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::fg_st</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac744061ca855572d5f26056eacae4085"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac744061ca855572d5f26056eacae4085">&#9670;&nbsp;</a></span>g_st</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::g_st</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d9e6ad14aaa8e2a30486b66d608d435"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d9e6ad14aaa8e2a30486b66d608d435">&#9670;&nbsp;</a></span>lf_table</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::lf_table</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9d32511b048a72a41b87e756ea48b81f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d32511b048a72a41b87e756ea48b81f">&#9670;&nbsp;</a></span>markstein</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical levelset_source_term::markstein</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7fdf01a373929142b57eadde6d48760"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7fdf01a373929142b57eadde6d48760">&#9670;&nbsp;</a></span>rho_table</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::rho_table</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0ef08ac8f87fa1b126c09133d265ae8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ef08ac8f87fa1b126c09133d265ae8a">&#9670;&nbsp;</a></span>s_diff</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::s_diff</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1565fd0d5beb6430b48647560e2190e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1565fd0d5beb6430b48647560e2190e2">&#9670;&nbsp;</a></span>sl_table</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::sl_table</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a272c32a544da2a911ad354fbe0a9f940"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a272c32a544da2a911ad354fbe0a9f940">&#9670;&nbsp;</a></span>st_dyn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer levelset_source_term::st_dyn</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
